/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author obper
 */
@Embeddable
public class CargosPK implements Serializable {
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "factura_codigo")
    private String facturaCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "documento_codigo")
    private String documentoCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "factura_serie")
    private String facturaSerie;

    public CargosPK() {
    }

    public CargosPK(String facturaCodigo, String documentoCodigo, String facturaSerie) {
        this.facturaCodigo = facturaCodigo;
        this.documentoCodigo = documentoCodigo;
        this.facturaSerie = facturaSerie;
    }

    public String getFacturaCodigo() {
        return facturaCodigo;
    }

    public void setFacturaCodigo(String facturaCodigo) {
        this.facturaCodigo = facturaCodigo;
    }

    public String getDocumentoCodigo() {
        return documentoCodigo;
    }

    public void setDocumentoCodigo(String documentoCodigo) {
        this.documentoCodigo = documentoCodigo;
    }

    public String getFacturaSerie() {
        return facturaSerie;
    }

    public void setFacturaSerie(String facturaSerie) {
        this.facturaSerie = facturaSerie;
    }

//    @Override
//    public int hashCode() {
//        int hash = 0;
//        hash += (facturaCodigo != null ? facturaCodigo.hashCode() : 0);
//        hash += (documentoCodigo != null ? documentoCodigo.hashCode() : 0);
//        hash += (facturaSerie != null ? facturaSerie.hashCode() : 0);
//        return hash;
//    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof CargosPK)) {
            return false;
        }
        CargosPK other = (CargosPK) object;
        if ((this.facturaCodigo == null && other.facturaCodigo != null) || (this.facturaCodigo != null && !this.facturaCodigo.equals(other.facturaCodigo))) {
            return false;
        }
        if ((this.documentoCodigo == null && other.documentoCodigo != null) || (this.documentoCodigo != null && !this.documentoCodigo.equals(other.documentoCodigo))) {
            return false;
        }
        if ((this.facturaSerie == null && other.facturaSerie != null) || (this.facturaSerie != null && !this.facturaSerie.equals(other.facturaSerie))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.CargosPK[ facturaCodigo=" + facturaCodigo + ", documentoCodigo=" + documentoCodigo + ", facturaSerie=" + facturaSerie + " ]";
    }

}
